Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 815269 - Productized Guvnor runs missing 'default' profile instead of 'production' profile by default
Summary: Productized Guvnor runs missing 'default' profile instead of 'production' pro...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.3.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER7
: BRMS 5.3.0.GA
Assignee: Ryan Zhang
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On: 817618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-23 09:01 UTC by Jiri Svitak
Modified: 2015-06-02 01:36 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
atangrin: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 817618 None None None Never

Internal Links: 817618

Description Jiri Svitak 2012-04-23 09:01:03 UTC
I used to run Guvnor without any profile specification, so I used the default profile. However, since BRMS 5.3.0 ER6 this profile has been removed, but Guvnor still tries to run it. This leads to an exception about missing files from the default profile. I have been told that now is just production profile available. So it would be great to run Guvnor just with
./run.sh
instead of each time typing:
./run.sh -c production

Comment 1 Ryan Zhang 2012-04-23 09:30:38 UTC
It's true.
This will be fixed soon.
Thanks

Comment 2 Ryan Zhang 2012-04-26 14:32:10 UTC
Nick has fixed this issue in build code. So update this issue as modified.

Comment 3 Jiri Svitak 2012-05-02 14:55:58 UTC
Since the default profile will return:
https://bugzilla.redhat.com/show_bug.cgi?id=817618
This bug has no longer any sense. So I think that for developers should command
./run.sh
mean starting of default profile as before.

Comment 4 Ryan Zhang 2012-05-03 07:45:21 UTC
yep, it makes sense to revert the change.

Thanks for reminding here.

Comment 5 Ryan Zhang 2012-05-11 01:59:55 UTC
This is minor issue which is fixed and has no risk to the product. This issue couple with issue https://bugzilla.redhat.com/show_bug.cgi?id=817618 which is a blocker issue
I think it should be included in product too.

This issue should add in block+ and 5.3.0+ flag.

Comment 7 Ryan Zhang 2012-05-14 08:15:54 UTC
The fixed for this issue should be included in ER7. Please do verification on it.

Comment 8 Lukáš Petrovický 2012-05-14 12:14:23 UTC
default profile is run with ER7. VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.